<?php
// Connect to database.
include 'db_connect.php';

// Include our pagination class / library.
include 'libs/ps_pagination.php';

// Query all data anyway you want
$sql = "select * from users ORDER BY firstname DESC";

/*
	Now, we are going to use our pagination class.
	This is a significant part of our pagination.

	I will explain the PS_Pagination parameters:

	> $conn is a variable from our config_open_db.php
	> $sql is our sql statement above
	> 3 is the number of records retrieved per page
	> 4 is the number of page numbers rendered below
	> null - We used null because we don't have any other parameters to pass

	(i.e. param1=valu1&param2=value2)
	You can use this if you are going to use this class for search results.
	The last parameter is useful because you will have to pass the search keywords.
*/
$pager = new PS_Pagination($conn, $sql, 3, 4, null);

// Our pagination class will render new recordset.
// Search results now are limited for pagination.
$rs = $pager->paginate();

// Count how many rows of data were returned.
$num = $rs->rowCount();

if($num >= 1 ){
	// Create our table header
	echo "<table id='my-tbl'>";
	echo "<tr>";
		echo "<th>Firstname</th>";
		echo "<th>Lastname</th>";
		echo "<th>Email</th>";
	echo "</tr>";

	// Loop through the records retrieved
	while ($row = $rs->fetch(PDO::FETCH_ASSOC)){
		echo "<tr class='data-tr' align='center'>";
		echo "<td>{$row['firstname']}</td>";
		echo "<td>{$row['lastname']}</td>";
		echo "<td>{$row['email']}</td>";
		echo "</tr>";
	}

	echo "</table>";
}else{
	// If no records found
	echo "No records found!";
}

// 'page-nav' CSS class is used to control the appearance of our page number navigation
echo "<div class='page-nav'>";
	// Display our page number navigation
	echo $pager->renderFullNav();
echo "</div>";
?>
